[Pkg-mono-svn-commits] rev 3252 - in mono/trunk/debian: . patches

Mirco Bauer meebey-guest at alioth.debian.org
Sat Jul 21 13:48:47 UTC 2007


Author: meebey-guest
Date: 2007-07-21 13:48:46 +0000 (Sat, 21 Jul 2007)
New Revision: 3252

Added:
   mono/trunk/debian/patches/armel_fix_configure_fpu_check.dpatch
   mono/trunk/debian/patches/ppc_fix_memory_corruption_r81413.patch
Removed:
   mono/trunk/debian/patches/mono-ppc-corruption.dpatch
Modified:
   mono/trunk/debian/changelog
   mono/trunk/debian/patches/00list
Log:
- mono 1.2.4-5 release
- applied armel patch



Modified: mono/trunk/debian/changelog
===================================================================
--- mono/trunk/debian/changelog	2007-07-21 11:29:18 UTC (rev 3251)
+++ mono/trunk/debian/changelog	2007-07-21 13:48:46 UTC (rev 3252)
@@ -1,14 +1,18 @@
-mono (1.2.4-5) UNRELEASED; urgency=low
+mono (1.2.4-5) unstable; urgency=low
 
   * Mirco 'meebey' Bauer:
     + debian/control:
       - Replaced ${Source-Version} with ${source:Version} and ${binary:Version}
-    + debian/patches/mono-ppc-corruption.dpatch:
-      - Fix memory corruption on PPC, causing many Gtk# programs to crash.
-        Patch from upstream SVN.
+    + debian/patches/ppc_fix_memory_corruption_r81413.patch:
+      - Fix memory corruption on PPC, caused all Gtk# programs to crash.
+        Patch taken from upstream SVN.
         (Closes: #428209, #430614, #427934, #428190, #429685)
+        (Thanks to Wouter Verhelst for testing the patch)
+    + debian/patches/armel_fix_configure_fpu_check.dpatch:
+      - Use softfloat on armel. (Closes: #430582)
+        (Thanks to Riku Voipio <riku.voipio at iki.fi> for the patch)
 
- -- Mirco Bauer <meebey at debian.org>  Mon, 16 Jul 2007 17:49:10 +0200
+ -- Mirco Bauer <meebey at debian.org>  Sat, 21 Jul 2007 15:48:05 +0200
 
 mono (1.2.4-4) unstable; urgency=low
 

Modified: mono/trunk/debian/patches/00list
===================================================================
--- mono/trunk/debian/patches/00list	2007-07-21 11:29:18 UTC (rev 3251)
+++ mono/trunk/debian/patches/00list	2007-07-21 13:48:46 UTC (rev 3252)
@@ -6,4 +6,5 @@
 fix-mono-cairo.pc.in
 #dont_remap_non-runtime_libs
 g_thread_init.dpatch
-mono-ppc-corruption.dpatch
+ppc_fix_memory_corruption_r81413.patch
+armel_fix_configure_fpu_check.dpatch

Added: mono/trunk/debian/patches/armel_fix_configure_fpu_check.dpatch
===================================================================
--- mono/trunk/debian/patches/armel_fix_configure_fpu_check.dpatch	                        (rev 0)
+++ mono/trunk/debian/patches/armel_fix_configure_fpu_check.dpatch	2007-07-21 13:48:46 UTC (rev 3252)
@@ -0,0 +1,186 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## armel_fix_configure_fpu_check.dpatch by Riku Voipio <riku.voipio at iki.fi>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+ at DPATCH@
+diff -urNad mono-1.2.4~/configure.in mono-1.2.4/configure.in
+--- mono-1.2.4~/configure.in	2007-07-21 15:36:55.000000000 +0200
++++ mono-1.2.4/configure.in	2007-07-21 15:36:59.000000000 +0200
+@@ -1880,19 +1880,24 @@
+ 	])
+ fi
+ 
++AC_ARG_WITH(fpu, [ --with-fpu=FPA,VFP,NONE	Select fpu to use on arm],[fpu=$withval])
++
+ if test ${TARGET} = ARM; then
+ 	dnl ******************************************
+ 	dnl *** Check to see what FPU is available ***
+ 	dnl ******************************************
+ 	AC_MSG_CHECKING(which FPU to use)
+ 
+-	AC_TRY_COMPILE([], [
+-		__asm__ ("ldfd f0, [r0]");
+-		], fpu=FPA, [
+-			AC_TRY_COMPILE([], [
+-				__asm__ ("fldd d0, [r0]");
+-			], fpu=VFP, fpu=NONE)
+-		])
++	if test "x$fpu" = "x"; then
++
++		AC_TRY_COMPILE([], [
++			__asm__ ("ldfd f0, [r0]");
++			], fpu=FPA, [
++				AC_TRY_COMPILE([], [
++					__asm__ ("fldd d0, [r0]");
++				], fpu=VFP, fpu=NONE)
++			])
++	fi
+ 
+ 	AC_MSG_RESULT($fpu)
+ 	CPPFLAGS="$CPPFLAGS -DARM_FPU_$fpu=1"
+diff -urNad mono-1.2.4~/configure mono-1.2.4/configure
+--- mono-1.2.4~/configure	2007-07-21 15:36:55.000000000 +0200
++++ mono-1.2.4/configure	2007-07-21 15:38:46.000000000 +0200
+@@ -1606,6 +1606,7 @@
+   --with-jit=yes,no       If you want to build scripts that default to the JIT
+   --with-interp=yes,no    If you want to build scripts that default to the interpreter
+   --with-x                use the X Window System
++ --with-fpu=FPA,VFP,NONE        Select fpu to use on arm
+  --with-preview=yes,no     If you want to install the 2.0 FX preview
+ 
+ Some influential environment variables:
+@@ -40074,23 +40075,31 @@
+ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+ fi
+ 
++# Check whether --with-fpu was given.
++if test "${with_fpu+set}" = set; then
++  withval=$with_fpu; fpu=$withval
++fi
++
++
+ if test ${TARGET} = ARM; then
+-				{ echo "$as_me:$LINENO: checking which FPU to use" >&5
++                                { echo "$as_me:$LINENO: checking which FPU to use" >&5
+ echo $ECHO_N "checking which FPU to use... $ECHO_C" >&6; }
+ 
+-	cat >conftest.$ac_ext <<_ACEOF
++        if test "x$fpu" = "x"; then
++
++                cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+-
++   
+ int
+ main ()
+ {
+ 
+-		__asm__ ("ldfd f0, [r0]");
+-
++                        __asm__ ("ldfd f0, [r0]");
++   
+   ;
+   return 0;
+ }
+@@ -40108,45 +40117,28 @@
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } &&
+-	 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+-  { (case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_try") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; } &&
+-	 { ac_try='test -s conftest.$ac_objext'
+-  { (case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_try") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
++  (exit $ac_status); } && {
++         test -z "$ac_c_werror_flag" ||
++         test ! -s conftest.err
++       } && test -s conftest.$ac_objext; then
+   fpu=FPA
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ 
+-			cat >conftest.$ac_ext <<_ACEOF
++                                cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
++cat >>conftest.$ac_ext <<_ACEOF  
+ /* end confdefs.h.  */
+ 
+ int
+ main ()
+ {
+-
+-				__asm__ ("fldd d0, [r0]");
++ 
++                                        __asm__ ("fldd d0, [r0]");
+ 
+   ;
+   return 0;
+@@ -40165,35 +40157,19 @@
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } &&
+-	 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+-  { (case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_try") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; } &&
+-	 { ac_try='test -s conftest.$ac_objext'
+-  { (case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_try") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
++  (exit $ac_status); } && {
++         test -z "$ac_c_werror_flag" ||
++         test ! -s conftest.err
++       } && test -s conftest.$ac_objext; then
+   fpu=VFP
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+-	fpu=NONE
++        fpu=NONE
+ fi
+ 
++
+ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+ 
+ fi


Property changes on: mono/trunk/debian/patches/armel_fix_configure_fpu_check.dpatch
___________________________________________________________________
Name: svn:executable
   + *

Deleted: mono/trunk/debian/patches/mono-ppc-corruption.dpatch
===================================================================
--- mono/trunk/debian/patches/mono-ppc-corruption.dpatch	2007-07-21 11:29:18 UTC (rev 3251)
+++ mono/trunk/debian/patches/mono-ppc-corruption.dpatch	2007-07-21 13:48:46 UTC (rev 3252)
@@ -1,35 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-
- at DPATCH@
-
-Index: mono/mono/mini/mini-ppc.c
-===================================================================
---- mono/mono/mini/mini-ppc.c	(Revision 81412)
-+++ mono/mono/mini/mini-ppc.c	(Revision 81413)
-@@ -2560,8 +2560,12 @@
- 			ppc_rlwinm (code, ppc_r11, ppc_r11, 0, 0, 27);
- 			/* use ctr to store the number of words to 0 if needed */
- 			if (ins->flags & MONO_INST_INIT) {
--				/* we zero 4 bytes at a time */
--				ppc_addi (code, ppc_r0, ins->sreg1, 3);
-+				/* we zero 4 bytes at a time:
-+				 * we add 7 instead of 3 so that we set the counter to
-+				 * at least 1, otherwise the bdnz instruction will make
-+				 * it negative and iterate billions of times.
-+				 */
-+				ppc_addi (code, ppc_r0, ins->sreg1, 7);
- 				ppc_srawi (code, ppc_r0, ppc_r0, 2);
- 				ppc_mtctr (code, ppc_r0);
- 			}
-@@ -2571,7 +2575,10 @@
- 			
- 			if (ins->flags & MONO_INST_INIT) {
- 				/* adjust the dest reg by -4 so we can use stwu */
--				ppc_addi (code, ins->dreg, ppc_sp, (area_offset - 4));
-+				/* we actually adjust -8 because we let the loop
-+				 * run at least once
-+				 */
-+				ppc_addi (code, ins->dreg, ppc_sp, (area_offset - 8));
- 				ppc_li (code, ppc_r11, 0);
- 				zero_loop_start = code;
- 				ppc_stwu (code, ppc_r11, 4, ins->dreg);

Copied: mono/trunk/debian/patches/ppc_fix_memory_corruption_r81413.patch (from rev 3238, mono/trunk/debian/patches/mono-ppc-corruption.dpatch)
===================================================================
--- mono/trunk/debian/patches/ppc_fix_memory_corruption_r81413.patch	                        (rev 0)
+++ mono/trunk/debian/patches/ppc_fix_memory_corruption_r81413.patch	2007-07-21 13:48:46 UTC (rev 3252)
@@ -0,0 +1,35 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+
+ at DPATCH@
+
+Index: mono/mono/mini/mini-ppc.c
+===================================================================
+--- mono/mono/mini/mini-ppc.c	(Revision 81412)
++++ mono/mono/mini/mini-ppc.c	(Revision 81413)
+@@ -2560,8 +2560,12 @@
+ 			ppc_rlwinm (code, ppc_r11, ppc_r11, 0, 0, 27);
+ 			/* use ctr to store the number of words to 0 if needed */
+ 			if (ins->flags & MONO_INST_INIT) {
+-				/* we zero 4 bytes at a time */
+-				ppc_addi (code, ppc_r0, ins->sreg1, 3);
++				/* we zero 4 bytes at a time:
++				 * we add 7 instead of 3 so that we set the counter to
++				 * at least 1, otherwise the bdnz instruction will make
++				 * it negative and iterate billions of times.
++				 */
++				ppc_addi (code, ppc_r0, ins->sreg1, 7);
+ 				ppc_srawi (code, ppc_r0, ppc_r0, 2);
+ 				ppc_mtctr (code, ppc_r0);
+ 			}
+@@ -2571,7 +2575,10 @@
+ 			
+ 			if (ins->flags & MONO_INST_INIT) {
+ 				/* adjust the dest reg by -4 so we can use stwu */
+-				ppc_addi (code, ins->dreg, ppc_sp, (area_offset - 4));
++				/* we actually adjust -8 because we let the loop
++				 * run at least once
++				 */
++				ppc_addi (code, ins->dreg, ppc_sp, (area_offset - 8));
+ 				ppc_li (code, ppc_r11, 0);
+ 				zero_loop_start = code;
+ 				ppc_stwu (code, ppc_r11, 4, ins->dreg);




More information about the Pkg-mono-svn-commits mailing list